AbstractTrigger
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.plugins.trigger
Class AbstractTrigger

    java.lang.Object
      org.apache.ivy.plugins.trigger.AbstractTrigger

All Implemented Interfaces:
  java.util.EventListener, IvyListener, Trigger

Direct Known Subclasses:
  AntBuildTrigger, AntCallTrigger, LogTrigger

    public abstract class AbstractTrigger

extends java.lang.Object
implements Trigger

Base class for easy trigger implementation. This base class takes of the event filtering part, the only method to implement in subclasses is `IvyListener#progress(IvyEvent)` which should do whatever the trigger needs to do when the event occurs. This method will only be called when an event matching the trigger filter occurs.

Since:
  1.4

Constructor Summary
`AbstractTrigger()`

Method Summary
`java.lang.String` | `getEvent()`
`Filter` | `getEventFilter()`
`java.lang.String` | `getFilter()`
`java.lang.String` | `getMatcher()`
`void` | `setEvent(java.lang.String event)`
`void` | `setFilter(java.lang.String filterExpression)`
`void` | `setMatcher(java.lang.String matcher)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.ivy.core.event.IvyListener
`progress`

Constructor Detail

### AbstractTrigger

    public AbstractTrigger()

Method Detail

### getEventFilter

    public Filter getEventFilter()

  Specified by:
    `getEventFilter` in interface `Trigger`

### getEvent

    public java.lang.String getEvent()

### setEvent

    public void setEvent(java.lang.String event)

### getFilter

    public java.lang.String getFilter()

### setFilter

    public void setFilter(java.lang.String filterExpression)

### getMatcher

    public java.lang.String getMatcher()

### setMatcher

    public void setMatcher(java.lang.String matcher)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD